com.independentsoft.exchange

## Class ChangeHighlights

- java.lang.Object
- - com.independentsoft.exchange.ChangeHighlights

-     public class ChangeHighlights
      extends java.lang.Object

  Encapsulates information on changes to a meeting request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeHighlights()` Instantiates a new change highlights.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getEndTime()` Gets the old end date and time of the meeting.
    `java.lang.String` | `getLocation()` Gets the old location of the meeting.
    `java.util.Date` | `getStartTime()` Gets the old start date and time of the meeting.
    `boolean` | `hasEndTimeChanged()` Checks whether the end time for the meeting has changed.
    `boolean` | `hasLocationChanged()` Checks whether the location for the meeting has changed.
    `boolean` | `hasStartTimeChanged()` Checks whether the start time for the meeting has changed.
    `void` | `setEndTime(java.util.Date endTime)` Sets the old end date and time of the meeting.
    `void` | `setEndTimeChanged(boolean hasEndTimeChanged)` Checks whether the end time for the meeting has changed.
    `void` | `setLocation(java.lang.String location)` Sets the old location of the meeting.
    `void` | `setLocationChanged(boolean hasLocationChanged)` Checks whether the location for the meeting has changed.
    `void` | `setStartTime(java.util.Date startTime)` Sets the old start date and time of the meeting.
    `void` | `setStartTimeChanged(boolean hasStartTimeChanged)` Checks whether the start time for the meeting has changed.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeHighlights

          public ChangeHighlights()

      Instantiates a new change highlights.

  - ### Method Detail

    - #### hasLocationChanged

          public boolean hasLocationChanged()

      Checks whether the location for the meeting has changed.
      Returns:
        true, if successful

    - #### setLocationChanged

          public void setLocationChanged(boolean hasLocationChanged)

      Checks whether the location for the meeting has changed.
      Parameters:
        `hasLocationChanged` - the new location changed

    - #### getLocation

          public java.lang.String getLocation()

      Gets the old location of the meeting.
      Returns:
        the location

    - #### setLocation

          public void setLocation(java.lang.String location)

      Sets the old location of the meeting.
      Parameters:
        `location` - the new location

    - #### hasStartTimeChanged

          public boolean hasStartTimeChanged()

      Checks whether the start time for the meeting has changed.
      Returns:
        true, if successful

    - #### setStartTimeChanged

          public void setStartTimeChanged(boolean hasStartTimeChanged)

      Checks whether the start time for the meeting has changed.
      Parameters:
        `hasStartTimeChanged` - the new start time changed

    - #### getStartTime

          public java.util.Date getStartTime()

      Gets the old start date and time of the meeting.
      Returns:
        the start time

    - #### setStartTime

          public void setStartTime(java.util.Date startTime)

      Sets the old start date and time of the meeting.
      Parameters:
        `startTime` - the new start time

    - #### hasEndTimeChanged

          public boolean hasEndTimeChanged()

      Checks whether the end time for the meeting has changed.
      Returns:
        true, if successful

    - #### setEndTimeChanged

          public void setEndTimeChanged(boolean hasEndTimeChanged)

      Checks whether the end time for the meeting has changed.
      Parameters:
        `hasEndTimeChanged` - the new end time changed

    - #### getEndTime

          public java.util.Date getEndTime()

      Gets the old end date and time of the meeting.
      Returns:
        the end time

    - #### setEndTime

          public void setEndTime(java.util.Date endTime)

      Sets the old end date and time of the meeting.
      Parameters:
        `endTime` - the new end time